package com.xmomen.module.stockdaily.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

// 定义一个名为StockDailyExample的类，继承自BaseMybatisExample
public class StockDailyExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序的子句
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重的标志
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public StockDailyExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria、orderByClause和distinct的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有的查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        // 判断id是否为空
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        // 判断id是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        // 判断id是否等于某个值
        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        // 判断id是否不等于某个值
        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        // 判断id是否大于某个值
        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        // 判断id是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        // 判断id是否小于某个值
        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        // 判断id是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        // 判断id是否包含某个值
        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        // 判断id是否不包含某个值
        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        // 判断id是否在某个范围内
        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        // 判断id是否不在某个范围内
        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        // 判断id是否在某个范围内
        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断id是否不在某个范围内
        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断stockId是否为空
        public Criteria andStockIdIsNull() {
            addCriterion("stock_id is null");
            return (Criteria) this;
        }

        // 判断stockId是否不为空
        public Criteria andStockIdIsNotNull() {
            addCriterion("stock_id is not null");
            return (Criteria) this;
        }

        // 判断stockId是否等于某个值
        public Criteria andStockIdEqualTo(String value) {
            addCriterion("stock_id =", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否不等于某个值
        public Criteria andStockIdNotEqualTo(String value) {
            addCriterion("stock_id <>", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否大于某个值
        public Criteria andStockIdGreaterThan(String value) {
            addCriterion("stock_id >", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否大于等于某个值
        public Criteria andStockIdGreaterThanOrEqualTo(String value) {
            addCriterion("stock_id >=", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否小于某个值
        public Criteria andStockIdLessThan(String value) {
            addCriterion("stock_id <", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否小于等于某个值
        public Criteria andStockIdLessThanOrEqualTo(String value) {
            addCriterion("stock_id <=", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否包含某个值
        public Criteria andStockIdLike(String value) {
            addCriterion("stock_id like", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否不包含某个值
        public Criteria andStockIdNotLike(String value) {
            addCriterion("stock_id not like", value, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否在某个范围内
        public Criteria andStockIdIn(List<String> values) {
            addCriterion("stock_id in", values, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否不在某个范围内
        public Criteria andStockIdNotIn(List<String> values) {
            addCriterion("stock_id not in", values, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否在某个范围内
        public Criteria andStockIdBetween(String value1, String value2) {
            addCriterion("stock_id between", value1, value2, "stockId");
            return (Criteria) this;
        }

        // 判断stockId是否不在某个范围内
        public Criteria andStockIdNotBetween(String value1, String value2) {
            addCriterion("stock_id not between", value1, value2, "stockId");
            return (Criteria) this;
        }

        // 判断itemId是否为空
        public Criteria andItemIdIsNull() {
            addCriterion("item_id is null");
            return (Criteria) this;
        }

        // 判断itemId是否不为空
        public Criteria andItemIdIsNotNull() {
            addCriterion("item_id is not null");
            return (Criteria) this;
        }

        // 判断itemId是否等于某个值
        public Criteria andItemIdEqualTo(String value) {
            addCriterion("item_id =", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否不等于某个值
        public Criteria andItemIdNotEqualTo(String value) {
            addCriterion("item_id <>", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否大于某个值
        public Criteria andItemIdGreaterThan(String value) {
            addCriterion("item_id >", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否大于等于某个值
        public Criteria andItemIdGreaterThanOrEqualTo(String value) {
            addCriterion("item_id >=", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否小于某个值
        public Criteria andItemIdLessThan(String value) {
            addCriterion("item_id <", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否小于等于某个值
        public Criteria andItemIdLessThanOrEqualTo(String value) {
            addCriterion("item_id <=", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否包含某个值
        public Criteria andItemIdLike(String value) {
            addCriterion("item_id like", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否不包含某个值
        public Criteria andItemIdNotLike(String value) {
            addCriterion("item_id not like", value, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否在某个范围内
        public Criteria andItemIdIn(List<String> values) {
            addCriterion("item_id in", values, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否不在某个范围内
        public Criteria andItemIdNotIn(List<String> values) {
            addCriterion("item_id not in", values, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否在某个范围内
        public Criteria andItemIdBetween(String value1, String value2) {
            addCriterion("item_id between", value1, value2, "itemId");
            return (Criteria) this;
        }

        // 判断itemId是否不在某个范围内
        public Criteria andItemIdNotBetween(String value1, String value2) {
            addCriterion("item_id not between", value1, value2, "itemId");
            return (Criteria) this;
        }

        // 判断oldStockNum是否为空
        public Criteria andOldStockNumIsNull() {
            addCriterion("old_stock_num is null");
            return (Criteria) this;
        }

        // 判断oldStockNum是否不为空
        public Criteria andOldStockNumIsNotNull() {
            addCriterion("old_stock_num is not null");
            return (Criteria) this;
        }

        // 判断oldStockNum是否等于某个值
        public Criteria andOldStockNumEqualTo(Integer value) {
            addCriterion("old_stock_num =", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否不等于某个值
        public Criteria andOldStockNumNotEqualTo(Integer value) {
            addCriterion("old_stock_num <>", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否大于某个值
        public Criteria andOldStockNumGreaterThan(Integer value) {
            addCriterion("old_stock_num >", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否大于等于某个值
        public Criteria andOldStockNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("old_stock_num >=", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否小于某个值
        public Criteria andOldStockNumLessThan(Integer value) {
            addCriterion("old_stock_num <", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否小于等于某个值
        public Criteria andOldStockNumLessThanOrEqualTo(Integer value) {
            addCriterion("old_stock_num <=", value, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否在某个范围内
        public Criteria andOldStockNumIn(List<Integer> values) {
            addCriterion("old_stock_num in", values, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否不在某个范围内
        public Criteria andOldStockNumNotIn(List<Integer> values) {
            addCriterion("old_stock_num not in", values, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否在某个范围内
        public Criteria andOldStockNumBetween(Integer value1, Integer value2) {
            addCriterion("old_stock_num between", value1, value2, "oldStockNum");
            return (Criteria) this;
        }

        // 判断oldStockNum是否不在某个范围内
        public Criteria andOldStockNumNotBetween(Integer value1, Integer value2) {
            addCriterion("old_stock_num not between", value1, value2, "oldStockNum");
            return (Criteria) this;
        }

        // 判断inNum是否为空
        public Criteria andInNumIsNull() {
            addCriterion("in_num is null");
            return (Criteria) this;
        }

        // 判断inNum是否不为空
        public Criteria andInNumIsNotNull() {
            addCriterion("in_num is not null");
            return (Criteria) this;
        }

        // 判断inNum是否等于某个值
        public Criteria andInNumEqualTo(Integer value) {
            addCriterion("in_num =", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否不等于某个值
        public Criteria andInNumNotEqualTo(Integer value) {
            addCriterion("in_num <>", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否大于某个值
        public Criteria andInNumGreaterThan(Integer value) {
            addCriterion("in_num >", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否大于等于某个值
        public Criteria andInNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("in_num >=", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否小于某个值
        public Criteria andInNumLessThan(Integer value) {
            addCriterion("in_num <", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否小于等于某个值
        public Criteria andInNumLessThanOrEqualTo(Integer value) {
            addCriterion("in_num <=", value, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否在某个范围内
        public Criteria andInNumIn(List<Integer> values) {
            addCriterion("in_num in", values, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否不在某个范围内
        public Criteria andInNumNotIn(List<Integer> values) {
            addCriterion("in_num not in", values, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否在某个范围内
        public Criteria andInNumBetween(Integer value1, Integer value2) {
            addCriterion("in_num between", value1, value2, "inNum");
            return (Criteria) this;
        }

        // 判断inNum是否不在某个范围内
        public Criteria andInNumNotBetween(Integer value1, Integer value2) {
            addCriterion("in_num not between", value1, value2, "inNum");
            return (Criteria) this;
        }

        // 判断returnInNum是否为空
        public Criteria andReturnInNumIsNull() {
            addCriterion("return_in_num is null");
            return (Criteria) this;
        }

        // 判断returnInNum是否不为空
        // 添加一个条件，返回入库数量不为空
        public Criteria andReturnInNumIsNotNull() {
            // 添加一个条件，返回入库数量不为空
            addCriterion("return_in_num is not null");
            // 返回当前对象
            return (Criteria) this;
        }

// 定义一个Criteria类，用于生成查询条件
public class Criteria extends GeneratedCriteria {
    // 构造函数
    protected Criteria() {
        super();
    }
    // 返回入库数量等于指定值的查询条件
        public Criteria andReturnInNumEqualTo(Integer value) {
            addCriterion("return_in_num =", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量不等于指定值的查询条件
        public Criteria andReturnInNumNotEqualTo(Integer value) {
            addCriterion("return_in_num <>", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量大于指定值的查询条件
        public Criteria andReturnInNumGreaterThan(Integer value) {
            addCriterion("return_in_num >", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量大于等于指定值的查询条件
        public Criteria andReturnInNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("return_in_num >=", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量小于指定值的查询条件
        public Criteria andReturnInNumLessThan(Integer value) {
            addCriterion("return_in_num <", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量小于等于指定值的查询条件
        public Criteria andReturnInNumLessThanOrEqualTo(Integer value) {
            addCriterion("return_in_num <=", value, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量在指定值列表中的查询条件
        public Criteria andReturnInNumIn(List<Integer> values) {
            addCriterion("return_in_num in", values, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量不在指定值列表中的查询条件
        public Criteria andReturnInNumNotIn(List<Integer> values) {
            addCriterion("return_in_num not in", values, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量在指定值之间的查询条件
        public Criteria andReturnInNumBetween(Integer value1, Integer value2) {
            addCriterion("return_in_num between", value1, value2, "returnInNum");
            return (Criteria) this;
        }

    // 返回入库数量不在指定值之间的查询条件
        public Criteria andReturnInNumNotBetween(Integer value1, Integer value2) {
            addCriterion("return_in_num not between", value1, value2, "returnInNum");
            return (Criteria) this;
        }

    // 返回出库数量为空的查询条件
        public Criteria andOutNumIsNull() {
            addCriterion("out_num is null");
            return (Criteria) this;
        }

    // 返回出库数量不为空的查询条件
        public Criteria andOutNumIsNotNull() {
            addCriterion("out_num is not null");
            return (Criteria) this;
        }

    // 返回出库数量等于指定值的查询条件
        public Criteria andOutNumEqualTo(Integer value) {
            addCriterion("out_num =", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量不等于指定值的查询条件
        public Criteria andOutNumNotEqualTo(Integer value) {
            addCriterion("out_num <>", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量大于指定值的查询条件
        public Criteria andOutNumGreaterThan(Integer value) {
            addCriterion("out_num >", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量大于等于指定值的查询条件
        public Criteria andOutNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("out_num >=", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量小于指定值的查询条件
        public Criteria andOutNumLessThan(Integer value) {
            addCriterion("out_num <", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量小于等于指定值的查询条件
        public Criteria andOutNumLessThanOrEqualTo(Integer value) {
            addCriterion("out_num <=", value, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量在指定值列表中的查询条件
        public Criteria andOutNumIn(List<Integer> values) {
            addCriterion("out_num in", values, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量不在指定值列表中的查询条件
        public Criteria andOutNumNotIn(List<Integer> values) {
            addCriterion("out_num not in", values, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量在指定值之间的查询条件
        public Criteria andOutNumBetween(Integer value1, Integer value2) {
            addCriterion("out_num between", value1, value2, "outNum");
            return (Criteria) this;
        }

    // 返回出库数量不在指定值之间的查询条件
        public Criteria andOutNumNotBetween(Integer value1, Integer value2) {
            addCriterion("out_num not between", value1, value2, "outNum");
            return (Criteria) this;
        }

    // 返回损坏数量为空的查询条件
        public Criteria andDamagedNumIsNull() {
            addCriterion("damaged_num is null");
            return (Criteria) this;
        }

    // 返回损坏数量不为空的查询条件
        public Criteria andDamagedNumIsNotNull() {
            addCriterion("damaged_num is not null");
            return (Criteria) this;
        }

    // 返回损坏数量等于指定值的查询条件
        public Criteria andDamagedNumEqualTo(Integer value) {
            addCriterion("damaged_num =", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量不等于指定值的查询条件
        public Criteria andDamagedNumNotEqualTo(Integer value) {
            addCriterion("damaged_num <>", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量大于指定值的查询条件
        public Criteria andDamagedNumGreaterThan(Integer value) {
            addCriterion("damaged_num >", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量大于等于指定值的查询条件
        public Criteria andDamagedNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("damaged_num >=", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量小于指定值的查询条件
        public Criteria andDamagedNumLessThan(Integer value) {
            addCriterion("damaged_num <", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量小于等于指定值的查询条件
        public Criteria andDamagedNumLessThanOrEqualTo(Integer value) {
            addCriterion("damaged_num <=", value, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量在指定值列表中的查询条件
        public Criteria andDamagedNumIn(List<Integer> values) {
            addCriterion("damaged_num in", values, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量不在指定值列表中的查询条件
        public Criteria andDamagedNumNotIn(List<Integer> values) {
            addCriterion("damaged_num not in", values, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量在指定值之间的查询条件
        public Criteria andDamagedNumBetween(Integer value1, Integer value2) {
            addCriterion("damaged_num between", value1, value2, "damagedNum");
            return (Criteria) this;
        }

    // 返回损坏数量不在指定值之间的查询条件
        public Criteria andDamagedNumNotBetween(Integer value1, Integer value2) {
            addCriterion("damaged_num not between", value1, value2, "damagedNum");
            return (Criteria) this;
        }

    // 返回核销数量为空的查询条件
        public Criteria andVerificationNumIsNull() {
            addCriterion("verification_num is null");
            return (Criteria) this;
        }

    // 返回核销数量不为空的查询条件
        public Criteria andVerificationNumIsNotNull() {
            addCriterion("verification_num is not null");
            return (Criteria) this;
        }

    // 返回核销数量等于指定值的查询条件
        public Criteria andVerificationNumEqualTo(Integer value) {
            addCriterion("verification_num =", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量不等于指定值的查询条件
        public Criteria andVerificationNumNotEqualTo(Integer value) {
            addCriterion("verification_num <>", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量大于指定值的查询条件
        public Criteria andVerificationNumGreaterThan(Integer value) {
            addCriterion("verification_num >", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量大于等于指定值的查询条件
        public Criteria andVerificationNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("verification_num >=", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量小于指定值的查询条件
        public Criteria andVerificationNumLessThan(Integer value) {
            addCriterion("verification_num <", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量小于等于指定值的查询条件
        public Criteria andVerificationNumLessThanOrEqualTo(Integer value) {
            addCriterion("verification_num <=", value, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量在指定值列表中的查询条件
        public Criteria andVerificationNumIn(List<Integer> values) {
            addCriterion("verification_num in", values, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量不在指定值列表中的查询条件
        public Criteria andVerificationNumNotIn(List<Integer> values) {
            addCriterion("verification_num not in", values, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量在指定值之间的查询条件
        public Criteria andVerificationNumBetween(Integer value1, Integer value2) {
            addCriterion("verification_num between", value1, value2, "verificationNum");
            return (Criteria) this;
        }

    // 返回核销数量不在指定值之间的查询条件
        public Criteria andVerificationNumNotBetween(Integer value1, Integer value2) {
            addCriterion("verification_num not between", value1, value2, "verificationNum");
            return (Criteria) this;
        }

    // 返回新增库存数量为空的查询条件
        public Criteria andNewStockNumIsNull() {
            addCriterion("new_stock_num is null");
            return (Criteria) this;
        }

    // 返回新增库存数量不为空的查询条件
        public Criteria andNewStockNumIsNotNull() {
            addCriterion("new_stock_num is not null");
            return (Criteria) this;
        }

    // 返回新增库存数量等于指定值的查询条件
        public Criteria andNewStockNumEqualTo(Integer value) {
            addCriterion("new_stock_num =", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量不等于指定值的查询条件
        public Criteria andNewStockNumNotEqualTo(Integer value) {
            addCriterion("new_stock_num <>", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量大于指定值的查询条件
        public Criteria andNewStockNumGreaterThan(Integer value) {
            addCriterion("new_stock_num >", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量大于等于指定值的查询条件
        public Criteria andNewStockNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("new_stock_num >=", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量小于指定值的查询条件
        public Criteria andNewStockNumLessThan(Integer value) {
            addCriterion("new_stock_num <", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量小于等于指定值的查询条件
        public Criteria andNewStockNumLessThanOrEqualTo(Integer value) {
            addCriterion("new_stock_num <=", value, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量在指定值列表中的查询条件
        public Criteria andNewStockNumIn(List<Integer> values) {
            addCriterion("new_stock_num in", values, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量不在指定值列表中的查询条件
        public Criteria andNewStockNumNotIn(List<Integer> values) {
            addCriterion("new_stock_num not in", values, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量在指定值之间的查询条件
        public Criteria andNewStockNumBetween(Integer value1, Integer value2) {
            addCriterion("new_stock_num between", value1, value2, "newStockNum");
            return (Criteria) this;
        }

    // 返回新增库存数量不在指定值之间的查询条件
        public Criteria andNewStockNumNotBetween(Integer value1, Integer value2) {
            addCriterion("new_stock_num not between", value1, value2, "newStockNum");
            return (Criteria) this;
        }

    // 返回每日日期为空的查询条件
        public Criteria andDailyDateIsNull() {
            addCriterion("daily_date is null");
            return (Criteria) this;
        }

    // 返回每日日期不为空的查询条件
        public Criteria andDailyDateIsNotNull() {
            addCriterion("daily_date is not null");
            return (Criteria) this;
        }

    // 返回每日日期等于指定值的查询条件
        public Criteria andDailyDateEqualTo(Date value) {
            addCriterionForJDBCDate("daily_date =", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期不等于指定值的查询条件
        public Criteria andDailyDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("daily_date <>", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期大于指定值的查询条件
        public Criteria andDailyDateGreaterThan(Date value) {
            addCriterionForJDBCDate("daily_date >", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期大于等于指定值的查询条件
        public Criteria andDailyDateGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("daily_date >=", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期小于指定值的查询条件
        public Criteria andDailyDateLessThan(Date value) {
            addCriterionForJDBCDate("daily_date <", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期小于等于指定值的查询条件
        public Criteria andDailyDateLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("daily_date <=", value, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期在指定值列表中的查询条件
        public Criteria andDailyDateIn(List<Date> values) {
            addCriterionForJDBCDate("daily_date in", values, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期不在指定值列表中的查询条件
        public Criteria andDailyDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("daily_date not in", values, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期在指定值之间的查询条件
        public Criteria andDailyDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("daily_date between", value1, value2, "dailyDate");
            return (Criteria) this;
        }

    // 返回每日日期不在指定值之间的查询条件
        public Criteria andDailyDateNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("daily_date not between", value1, value2, "dailyDate");
            return (Criteria) this;
        }

    // 返回插入日期为空的查询条件
        public Criteria andInsertDateIsNull() {
            addCriterion("insert_date is null");
            return (Criteria) this;
        }

    // 返回插入日期不为空的查询条件
        public Criteria andInsertDateIsNotNull() {
            addCriterion("insert_date is not null");
            return (Criteria) this;
        }

    // 返回插入日期等于指定值的查询条件
        public Criteria andInsertDateEqualTo(Date value) {
            addCriterion("insert_date =", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期不等于指定值的查询条件
        public Criteria andInsertDateNotEqualTo(Date value) {
            addCriterion("insert_date <>", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期大于指定值的查询条件
        public Criteria andInsertDateGreaterThan(Date value) {
            addCriterion("insert_date >", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期大于等于指定值的查询条件
        public Criteria andInsertDateGreaterThanOrEqualTo(Date value) {
            addCriterion("insert_date >=", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期小于指定值的查询条件
        public Criteria andInsertDateLessThan(Date value) {
            addCriterion("insert_date <", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期小于等于指定值的查询条件
        public Criteria andInsertDateLessThanOrEqualTo(Date value) {
            addCriterion("insert_date <=", value, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期在指定值列表中的查询条件
        public Criteria andInsertDateIn(List<Date> values) {
            addCriterion("insert_date in", values, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期不在指定值列表中的查询条件
        public Criteria andInsertDateNotIn(List<Date> values) {
            addCriterion("insert_date not in", values, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期在指定值之间的查询条件
        public Criteria andInsertDateBetween(Date value1, Date value2) {
            addCriterion("insert_date between", value1, value2, "insertDate");
            return (Criteria) this;
        }

    // 返回插入日期不在指定值之间的查询条件
        public Criteria andInsertDateNotBetween(Date value1, Date value2) {
            addCriterion("insert_date not between", value1, value2, "insertDate");
            return (Criteria) this;
        }
    }

// 定义一个Criteria类，继承自GeneratedCriteria
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        // 条件
        private String condition;

        // 值
        private Object value;

        // 第二个值
        private Object secondValue;

        // 是否无值
        private boolean noValue;

        // 是否单个值
        private boolean singleValue;

        // 是否在范围内
        private boolean betweenValue;

        // 是否列表值
        private boolean listValue;

        // 类型处理器
        private String typeHandler;

        // 获取条件
        public String getCondition() {
            return condition;
        }

        // 获取值
        public Object getValue() {
            return value;
        }

        // 获取第二个值
        public Object getSecondValue() {
            return secondValue;
        }

        // 是否无值
        public boolean isNoValue() {
            return noValue;
        }

        // 是否单个值
        public boolean isSingleValue() {
            return singleValue;
        }

        // 是否在范围内
        public boolean isBetweenValue() {
            return betweenValue;
        }

        // 是否列表值
        public boolean isListValue() {
            return listValue;
        }

        // 获取类型处理器
        public String getTypeHandler() {
            return typeHandler;
        }

        // 构造函数，传入条件
        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        // 构造函数，传入条件、值和类型处理器
        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        // 构造函数，传入条件、值
        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        // 构造函数，传入条件、值、第二个值和类型处理器
        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        // 构造函数，传入条件、值、第二个值
        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}